summaryrefslogtreecommitdiff
path: root/dev-ruby/tty-command/tty-command-0.10.1.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-03-01 00:37:58 +0000
committerLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-03-01 00:37:58 +0000
commit8ddb1a3d1229412a438971f82d37d518a0223726 (patch)
tree83438b5ddb9d23a390f1a3fc505303d3d2223bf2 /dev-ruby/tty-command/tty-command-0.10.1.ebuild
parent9acab46e1a820daece7b2e631485c157ce2210ad (diff)
downloadbaldeagleos-repo-21.1.5.tar.gz
baldeagleos-repo-21.1.5.tar.xz
baldeagleos-repo-21.1.5.zip
Adding metadatav21.1.5
Diffstat (limited to 'dev-ruby/tty-command/tty-command-0.10.1.ebuild')
-rw-r--r--dev-ruby/tty-command/tty-command-0.10.1.ebuild32
1 files changed, 32 insertions, 0 deletions
diff --git a/dev-ruby/tty-command/tty-command-0.10.1.ebuild b/dev-ruby/tty-command/tty-command-0.10.1.ebuild
new file mode 100644
index 000000000000..3b7a3370f289
--- /dev/null
+++ b/dev-ruby/tty-command/tty-command-0.10.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Terminal color capabilities detection"
+HOMEPAGE="https://github.com/piotrmurach/tty-command"
+SRC_URI="https://github.com/piotrmurach/tty-command/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/pastel-0.8:0"
+
+all_ruby_prepare() {
+ echo '-rspec_helper' > .rspec || die
+
+ sed -i -e 's:_relative ": "./:' ${RUBY_FAKEGEM_GEMSPEC} || die
+}